"""
URL configuration for django_dsgov_test1 project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.views.generic import TemplateView

urlpatterns = [
    path('admin/', admin.site.urls),
    path("", TemplateView.as_view(template_name = 'index.html')),
    path("buttons/", TemplateView.as_view(template_name = 'examples_buttons.html'), name="buttons"),
    path("inputs/", TemplateView.as_view(template_name = 'examples_inputs.html'), name="inputs"),
    path("headers/", TemplateView.as_view(template_name = 'examples_headers.html', extra_context = {"lista":[
                {'label': 'Link de acesso 1'},
                {'label': 'Link de acesso 2'},
                {'label': 'Link de acesso 3'},
                {'label': 'Link de acesso 4'}
            ]}), name="headers"),
    path("footer/", TemplateView.as_view(template_name = 'examples_footer.html'), name="footer"),
    path("carousel/", TemplateView.as_view(template_name = 'examples_carousel.html'), name="carousel"),
    path("menu/", TemplateView.as_view(template_name = 'examples_menu.html'), name="menu"),
    path("list/", TemplateView.as_view(template_name = 'examples_list.html', extra_context = {"lista":[
                {'icon': 'fas fa-heartbeat', 'content': 'Texto principal 1', 'meta': 'Meta 1'},
                {'icon': 'fas fa-star', 'content': 'Texto principal 2', 'meta': 'Meta 2'}
            ]}), name="list"),
    path("breadcrumb/", TemplateView.as_view(template_name = 'examples_breadcrumb.html'), name="breadcrumb"),
    path("pagination/", TemplateView.as_view(template_name = 'examples_pagination.html'), name="pagination"),
    path("tag/", TemplateView.as_view(template_name = 'examples_tag.html'), name="tag"),
    path("cards/", TemplateView.as_view(template_name = 'examples_card_with_icon.html'), name="cards"),
    path("table/", TemplateView.as_view(template_name = 'examples_table.html'), name="table"),
]
